
*{
    font-family: Arial, Helvetica, sans-serif;
    margin: 0;
}

body{
    background-color: #FEFCF5;
    color: #1A1A1A;
}

html {
    scroll-behavior: smooth;
    scroll-padding-top: 80px;
}

h1, h2, h3 {
    font-weight: 700;
    line-height: 1.2;
}

h1 {
    font-size: 3.5rem;
    margin-bottom: 1rem;
    text-shadow: 5px 5px 3px#1A1A1A;
}
h2 {
    font-size: 2rem;
    margin-bottom: 1rem;
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.5);
}

/* Nav */
nav{
    background-color: #123458;
    position: sticky;
    top: 0;
    z-index: 1;
    height: 45px;
    padding: 12px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.logo{
    margin-left: 2em;
    width: 50px;
    display: flex;
    align-items: center;
    border-radius: 50%;
    overflow: hidden;
}

.logo img{
    width: 100%;
    object-fit: contain;
}
.nav{
    flex: 1;

}

.nav ul{
    font-size: 1em;
    letter-spacing: 5px;
    margin-right: 6em;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 4rem;
    text-decoration: none;
    color: white;
    list-style: none;
}

.nav ul li a{
    color: white;
    text-decoration: none;
    transition: all ease 1s;
}

.nav ul li a:hover {
    color: #FFD700;
}

/* Nav-end */

/* header */
header{
    text-align: center;
    padding: 100px 30px;
    height: 800px;
    background-repeat: no-repeat;
    background-size: cover;
    background-color: white;
    background-position: center;
    color: aliceblue;
    display: flex;
    justify-content: center;
    align-items: center;
}

.cta{
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 2rem;
}

.cta button, #form-submit{
    width: 300px;
    height: 75px;
    background-color: #FFD700;
    border-radius: 12px;
    border: 2px solid rgb(200, 200, 89);
    transition: all 0.3s ease-in;
}

.cta button:hover{
    transform: scale(1.05);
}

.cta a{
    color: #1A1A1A;;
    text-decoration: none;
}
.cta button a:visited {
    color: #1A1A1A;;
    text-decoration: none;
}


/* header-end */

/* service */

.about{
    text-align: center;
    margin: 0;
}

.about span{
    color: #FFD700;
    text-shadow: 3px 3px 5px rgba(0, 0, 0, 0.5);
}
.problem, .solution{
    padding: 2em;
    background-color: #f7f2e4;
}


.problem-container, .solution-container{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
}

.problem-card, .solution-card{
    width: 200px;
    min-height: 210px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    background-color: #FFD700;
    margin: 2em;
    border-radius: 12px;
    padding: 20px;
    box-shadow: 0 15px 30px rgba(0, 0, 0, 0.2);;
    transition: all 0.5s ease;
}

.problem-card:hover, .solution-card:hover{
    transform: translatey(-10px);
}

.problem-text p, .solution-text p {
    margin: 10px 0 0 0;
    line-height: 1.4;
    font-size: 0.9em;
}

.problem-img, .solution-img{
    width: 80px;
    border-radius: 50%;
    overflow: hidden;
    margin-bottom: 20px;
}
.about img{
    width: 100%;
}

/* service-end */


/* form */
.service{
    padding: 3em 0;
    text-align: center;
}

.service h2 {
    margin-bottom: 1em;
}


.form-button{
    display: flex;
    justify-content: center; 
}

#open-form{
    width: 250px;
    height: 75px;
    background-color: #FFD700;
    border-radius: 12px;
    border: 2px solid rgb(200, 200, 89);
    transition: all 0.3s ease-in;
}

#open-form:hover {
    transform: scale(1.05);
}
/* form-end */

/* form-donasi */
#form{
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    overflow: auto;
    z-index: 9000;
    background-color: rgba(0, 0, 0, 0.5);
    display: none;
}

.close-form{
    position: absolute;
    top: 5px;
    right: 5px;
    cursor: pointer;
    width: 50px;
    height: 50px;
    font-weight: bold;
    background: red;
    color: white;
    border: none;
    border-radius: 5px;
}

.form-content{
    position: relative;
    margin: 5% auto;
    flex-direction: column;
    border-radius: 15px;
    background-color: white;
    height: 650px;
    width: 500px;
}

.form-group {
    margin-bottom: 1rem;
}

.form-group label {
    display: block;
    margin-bottom: 0.5rem;
    font-weight: bold;
}

.form-group input, .form-group select, .form-group textarea{
    width: 100%;
    padding: 0.75rem;
    border: 1px solid #ddd;
    border-radius: 8px;
    font-size: 1rem;
    box-sizing: border-box;
}

.form-body{
    text-align: left;
    padding: 2em;
}

.form-header{
    display: flex;
    justify-content: center;
} 

.form-header h2{
    margin-top: 0.5em;
    margin-right: 1.5em;
}
#form-submit{
    width: 100%;
    height: 50px;
}

#form-submit:hover{
    transform: scale(1.05);
}

/* riwayat */
body.no-scroll {
    overflow: hidden;
    width: 100%;
}

.card-donasi{
    background: white;
    padding: 3em;
    padding-left: 30px;
    margin: 15px auto;
    border-radius: 10px;
    width: 300px;
    height: 200px;
    text-align: left;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    line-height: 2em;
    box-shadow: 0 15px 30px rgba(0, 0, 0, 0.2);
}

.card-donasi .hapus{
    position: absolute;
    bottom: 10px;
    right: 10px;

    background: #dc3545;
    color: white;
    border: none;

    width: 70px;
    padding: 6px 12px;
    border-radius: 6px;
    cursor: pointer;
}

#list-donasi {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
    padding: 20px;
    max-width: 1200px;
    margin: 0 auto;
    align-items: center;
}
.edit{
    position: absolute;
    bottom: 10px;
    right: 90px;

    width: 70px;
    background: #35dc40;
    color: white;
    border: none;

    padding: 6px 12px;
    border-radius: 6px;
    cursor: pointer;
}

.riwayat{
    background-color: #f7f2e4;
    text-align: center;
    padding: 3em 0;
}

.riwayat h2{
    margin-bottom: 1em;
}

/* footer */
footer{
    background-color: #123458;
    text-align: center;
    color: #FFD700;
}

footer span, .footer-logo h3{
    color: white;
}

.footer-container{
    padding-top:3em;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 3em;
    margin-bottom: 3em;
}

.footer-logo{
    display: flex;
    align-items: center;
    justify-content: center;
    width: 550px;
    gap: 2em;
}

.contact h3{
    text-align: left;
    font-size: 1.5em;
    margin-bottom: 1em;
}

.footer-logo h3{
    font-size: 2em;
}

.footer-img{
    width: 80px;
    height: 80px;
    border-radius: 50%;
    overflow: hidden;
}

footer img{
    width: 100%;
    height: 100%;
}

.contact-box{
    display: flex;
    justify-content: flex-start;
    gap: 2em;
    line-height: 1.5em;
    margin-right: 10em;
}

.contact ul {
    list-style: none;
    text-align: left;
}

.contact a, .contact a:visited{
    color: #FFD700;
    text-decoration: none;
}

.contact p {
    font-size: 1em;
    margin-bottom: 0.5em;
}

.copyright{
    background-color: #1A1A1A;
    padding: 1.2em;
}
/* footer-end */
